petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCFactorSetShiftAmount

adds a quantity to the diagonal of the matrix during numerical factorization, thus the matrix has nonzero pivots

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetShiftAmount(PC pc,PetscReal shiftamount)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| shiftamount | - amount of shift

### Options Database Key

-pc_factor_shift_amount <shiftamount> -Sets shift amount or PETSC_DECIDE for the default

### Keywords

PC, set, factorization,

### See Also

PCFactorSetZeroPivot(), PCFactorSetShiftType()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages